# OpenIdExtension Interface Reference
[OpenId implementation]

Inheritance diagram for OpenIdExtension:
[legend]

List of all members.

## Public Member Functions

| addParamsToModel (Model $model)
| parseResponce (HttpRequest $request, array $params)

## Detailed Description

Definition at line 15 of file OpenIdExtension.class.php.

## Member Function Documentation

OpenIdExtension::addParamsToModel | ( | Model $ | model | ) |

Implemented in OpenIdExtensionAttributeExchange, and OpenIdExtensionSreg.

OpenIdExtension::parseResponce | ( | HttpRequest $ | request,
|  | array $ | params |
| ) |  |  |

Implemented in OpenIdExtensionAttributeExchange, and OpenIdExtensionSreg.

The documentation for this interface was generated from the following file:

- main/OpenId/OpenIdExtension.class.php